Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-4807

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-4807
Last Modified 02 Aug 2011 12:00:00
Published 31 Dec 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-4807

Summary

Stack-based buffer overflow in the as_bad function in messages.c in the GNU as (gas) assembler in Free Software Foundation GNU Binutils before 20050721 allows attackers to execute arbitrary code via a .c file with crafted inline assembly code.

Vulnerable Systems

Application

  • Gnu Binutils


References

UBUNTU - USN-336-1

BID - 19555

SECUNIA - 21530

SECUNIA - 21508

MISC - http://bugs.gentoo.org/show_bug.cgi?id=99464

VUPEN - ADV-2006-3307

OSVDB - 27960


Last Updated: 27 May 2016 10:41:26